Module tdlight.api
Package it.tdlight.jni

# Class TdApi.GetLanguagePackString

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.LanguagePackStringValue>
it.tdlight.jni.TdApi.GetLanguagePackString

Enclosing class:
  TdApi

public static final class TdApi.GetLanguagePackString extends TdApi.Function<TdApi.LanguagePackStringValue>
Returns a string stored in the local database from the specified localization target and language pack by its key. Returns a 404 error if the string is not found. Can be called synchronously.

Returns `LanguagePackStringValue`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`String`
`key`
Language pack key of the string to be returned.
`String`
`languagePackDatabasePath`
Path to the language pack database in which strings are stored.
`String`
`languagePackId`
Language pack identifier.
`String`
`localizationTarget`
Localization target to which the language pack belongs.

## Constructor Summary

Constructors
Constructor
Description
`GetLanguagePackString()`
Returns a string stored in the local database from the specified localization target and language pack by its key.
`GetLanguagePackString(DataInput input)`
Returns a string stored in the local database from the specified localization target and language pack by its key.
`GetLanguagePackString(String languagePackDatabasePath, String localizationTarget, String languagePackId, String key)`
Returns a string stored in the local database from the specified localization target and language pack by its key.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### languagePackDatabasePath

public String languagePackDatabasePath
Path to the language pack database in which strings are stored.

### localizationTarget

public String localizationTarget
Localization target to which the language pack belongs.

### languagePackId

public String languagePackId
Language pack identifier.

### key

public String key
Language pack key of the string to be returned.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### GetLanguagePackString

public GetLanguagePackString()
Returns a string stored in the local database from the specified localization target and language pack by its key. Returns a 404 error if the string is not found. Can be called synchronously.

Returns `LanguagePackStringValue`

### GetLanguagePackString

public GetLanguagePackString(String languagePackDatabasePath, String localizationTarget, String languagePackId, String key)
Returns a string stored in the local database from the specified localization target and language pack by its key. Returns a 404 error if the string is not found. Can be called synchronously.

Returns `LanguagePackStringValue`

Parameters:
  `languagePackDatabasePath` - Path to the language pack database in which strings are stored.
  `localizationTarget` - Localization target to which the language pack belongs.
  `languagePackId` - Language pack identifier.
  `key` - Language pack key of the string to be returned.

  Returns `LanguagePackStringValue`

### GetLanguagePackString

public GetLanguagePackString(DataInput input) throws IOException
Returns a string stored in the local database from the specified localization target and language pack by its key. Returns a 404 error if the string is not found. Can be called synchronously.

Returns `LanguagePackStringValue`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`